curl --request POST \
--url https://api.synctera.com/v2/applications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_type": "LINE_OF_CREDIT",
"applicants": [
{
"is_primary": true,
"adverse_action_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"credit_score_ids": [
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
],
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"underwriting_data": [
{
"request_time": "2023-11-07T05:31:56Z",
"vendor": "PLAID",
"vendor_info": {}
}
]
}
],
"account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"application_submitted_time": "2023-01-13T23:59:59Z",
"credit_decision_time": "2023-01-13T23:59:59Z",
"customer_response_time": "2023-01-13T23:59:59Z",
"tenant": "abcdef_ghijkl"
}
'import requests
url = "https://api.synctera.com/v2/applications"
payload = {
"account_type": "LINE_OF_CREDIT",
"applicants": [
{
"is_primary": True,
"adverse_action_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"credit_score_ids": ["7d943c51-e4ff-4e57-9558-08cab6b963c7"],
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"underwriting_data": [
{
"request_time": "2023-11-07T05:31:56Z",
"vendor": "PLAID",
"vendor_info": {}
}
]
}
],
"account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"application_submitted_time": "2023-01-13T23:59:59Z",
"credit_decision_time": "2023-01-13T23:59:59Z",
"customer_response_time": "2023-01-13T23:59:59Z",
"tenant": "abcdef_ghijkl"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_type: 'LINE_OF_CREDIT',
applicants: [
{
is_primary: true,
adverse_action_id: '7d943c51-e4ff-4e57-9558-08cab6b963c7',
business_id: '7d943c51-e4ff-4e57-9558-08cab6b963c7',
credit_score_ids: ['7d943c51-e4ff-4e57-9558-08cab6b963c7'],
customer_id: '7d943c51-e4ff-4e57-9558-08cab6b963c7',
underwriting_data: [{request_time: '2023-11-07T05:31:56Z', vendor: 'PLAID', vendor_info: {}}]
}
],
account_id: '7d943c51-e4ff-4e57-9558-08cab6b963c7',
application_submitted_time: '2023-01-13T23:59:59Z',
credit_decision_time: '2023-01-13T23:59:59Z',
customer_response_time: '2023-01-13T23:59:59Z',
tenant: 'abcdef_ghijkl'
})
};
fetch('https://api.synctera.com/v2/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_type": "LINE_OF_CREDIT",
"applicants": [
{
"is_primary": true,
"adverse_action_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"credit_score_ids": [
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
],
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"underwriting_data": [
{
"request_time": "2023-11-07T05:31:56Z",
"vendor": "PLAID",
"vendor_info": {}
}
]
}
],
"purpose": "ACCOUNT_OPENING",
"status": "SUBMITTED",
"type": "CREDIT",
"creation_time": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_updated_time": "2023-11-07T05:31:56Z",
"account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"application_submitted_time": "2023-01-13T23:59:59Z",
"credit_decision_time": "2023-01-13T23:59:59Z",
"customer_response_time": "2023-01-13T23:59:59Z",
"tenant": "abcdef_ghijkl"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Create an application
🚧 Beta This is an Beta endpoint. Feedback from the community is welcome. We may make breaking changes to this endpoint.
Submit a record of application details for an account.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Application model.
- Credit application details
- Restricted account application details
- Line of Credit application details
- Credit card application details
Account type of Application
LINE_OF_CREDIT, CHARGE_SECURED, CHARGE_UNSECURED, CREDIT_CARD "LINE_OF_CREDIT"
1Show child attributes
Show child attributes
Purpose of the credit application.
ACCOUNT_OPENING, LINE_INCREASE_REQUEST, APR_REDUCTION, HARDSHIP Status of the credit application. CREDIT_DENIED, CREDIT_NOT_ACCEPTED_BY_CUSTOMER and CREDIT_ACCEPTED_BY_CUSTOMER are terminal status
SUBMITTED, CREDIT_APPROVED, CREDIT_DENIED, CREDIT_NOT_ACCEPTED_BY_CUSTOMER, CREDIT_ACCEPTED_BY_CUSTOMER The type of the application to require.
- CREDIT: Credit application
- LINE_OF_CREDIT: (Deprecated) Line of credit application (if provided, this will be converted to a CREDIT type in the response)
- RESTRICTED_ACCOUNT: restricted account application
CREDIT, LINE_OF_CREDIT, RESTRICTED_ACCOUNT Account ID for the application. Only required if application purpose is not ACCOUNT_OPENING
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Application submitted timestamp in RFC3339 format
"2023-01-13T23:59:59Z"
Credit decision timestamp in RFC3339 format
"2023-01-13T23:59:59Z"
Credit decision timestamp in RFC3339 format
"2023-01-13T23:59:59Z"
The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.
"abcdef_ghijkl"
Response
Application created.
- Credit application details
- Restricted account application details
- Line of Credit application response
- Credit card application response
Account type of Application
LINE_OF_CREDIT, CHARGE_SECURED, CHARGE_UNSECURED, CREDIT_CARD "LINE_OF_CREDIT"
1Show child attributes
Show child attributes
Purpose of the credit application.
ACCOUNT_OPENING, LINE_INCREASE_REQUEST, APR_REDUCTION, HARDSHIP Status of the credit application. CREDIT_DENIED, CREDIT_NOT_ACCEPTED_BY_CUSTOMER and CREDIT_ACCEPTED_BY_CUSTOMER are terminal status
SUBMITTED, CREDIT_APPROVED, CREDIT_DENIED, CREDIT_NOT_ACCEPTED_BY_CUSTOMER, CREDIT_ACCEPTED_BY_CUSTOMER The type of the application to require.
- CREDIT: Credit application
- LINE_OF_CREDIT: (Deprecated) Line of credit application (if provided, this will be converted to a CREDIT type in the response)
- RESTRICTED_ACCOUNT: restricted account application
CREDIT, LINE_OF_CREDIT, RESTRICTED_ACCOUNT Application creation timestamp in RFC3339 format
Generated ID for the application
Timestamp of the last application modification in RFC3339 format
Account ID for the application. Only required if application purpose is not ACCOUNT_OPENING
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Application submitted timestamp in RFC3339 format
"2023-01-13T23:59:59Z"
Credit decision timestamp in RFC3339 format
"2023-01-13T23:59:59Z"
Credit decision timestamp in RFC3339 format
"2023-01-13T23:59:59Z"
The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.
"abcdef_ghijkl"
Was this page helpful?

